Debian Bug report logs - #510735
network-manager-vpnc: /etc/dbus-1/system.d file needs alterations for fd.o #18961

version graph

Package: network-manager-vpnc; Maintainer for network-manager-vpnc is Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>; Source for network-manager-vpnc is src:network-manager-vpnc.

Reported by: Simon McVittie <smcv@debian.org>

Date: Sun, 4 Jan 2009 15:15:02 UTC

Severity: normal

Found in version network-manager-vpnc/0.6.4svn2806-1

Fixed in version network-manager-vpnc/0.7.0-2

Done: Michael Biebl <biebl@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Soren Hansen <soren@ubuntu.com>:
Bug#510735; Package network-manager-vpnc. (Sun, 04 Jan 2009 15:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
New Bug report received and forwarded. Copy sent to Soren Hansen <soren@ubuntu.com>. (Sun, 04 Jan 2009 15:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: network-manager-vpnc: /etc/dbus-1/system.d file needs alterations for fd.o #18961
Date: Sun, 4 Jan 2009 15:12:28 +0000
[Message part 1 (text/plain, inline)]
Package: network-manager-vpnc
Version: 0.6.4svn2806-1
Severity: normal
User: pkg-utopia-maintainers@lists.alioth.debian.org
Usertags: fdo-18961

network-manager-vpnc's D-Bus system.d config should be updated to fix
non-deterministic allow/deny for messages with no interface; the D-Bus
upstream recommendation seems to be that every allow or deny rule with
send_interface="..." should have a suitable send_destination attribute too.

In this case, this would make them redundant with the lines matching
send_destination="...", so they can just be removed (see
http://bugzilla.gnome.org/show_bug.cgi?id=563730 for the equivalent
changes to NetworkManager).

http://bugs.freedesktop.org/show_bug.cgi?id=18961 is the D-Bus bug tracking
this; there have also been discussions on the D-Bus mailing list.

Regards from the Cambridge BSP,
    Simon
[signature.asc (application/pgp-signature, inline)]

Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Sun, 15 Feb 2009 14:21:11 GMT) Full text and rfc822 format available.

Notification sent to Simon McVittie <smcv@debian.org>:
Bug acknowledged by developer. (Sun, 15 Feb 2009 14:21:12 GMT) Full text and rfc822 format available.

Message #10 received at 510735-close@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 510735-close@bugs.debian.org
Subject: Bug#510735: fixed in network-manager-vpnc 0.7.0-2
Date: Sun, 15 Feb 2009 14:01:13 +0000
Source: network-manager-vpnc
Source-Version: 0.7.0-2

We believe that the bug you reported is fixed in the latest version of
network-manager-vpnc, which is due to be installed in the Debian FTP archive:

network-manager-vpnc-gnome_0.7.0-2_i386.deb
  to pool/main/n/network-manager-vpnc/network-manager-vpnc-gnome_0.7.0-2_i386.deb
network-manager-vpnc_0.7.0-2.diff.gz
  to pool/main/n/network-manager-vpnc/network-manager-vpnc_0.7.0-2.diff.gz
network-manager-vpnc_0.7.0-2.dsc
  to pool/main/n/network-manager-vpnc/network-manager-vpnc_0.7.0-2.dsc
network-manager-vpnc_0.7.0-2_i386.deb
  to pool/main/n/network-manager-vpnc/network-manager-vpnc_0.7.0-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 510735@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Biebl <biebl@debian.org> (supplier of updated network-manager-vpnc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 14 Feb 2009 15:36:28 +0100
Source: network-manager-vpnc
Binary: network-manager-vpnc network-manager-vpnc-gnome
Architecture: source i386
Version: 0.7.0-2
Distribution: experimental
Urgency: low
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Changed-By: Michael Biebl <biebl@debian.org>
Description: 
 network-manager-vpnc - network management framework (VPNC plugin core)
 network-manager-vpnc-gnome - network management framework (VPNC plugin GNOME GUI)
Closes: 510735
Changes: 
 network-manager-vpnc (0.7.0-2) experimental; urgency=low
 .
   * debian/control
     - Set priority to optional.
     - Drop libgnomeui-dev from Build-Depends, no longer required.
     - Wrap build dependencies.
     - Bump build dependency on debhelper to (>= 7).
   * debian/compat
     - Bump to debhelper v7 compat mode.
   * debian/patches/01-dbus_policy.patch
     - Remove bare send_interface policy rules. (Closes: #510735)
   * debian/rules
     - Include gnome.mk cdbs class instead of autotools.mk.
Checksums-Sha1: 
 a54c099933789b603efa6deb5f22e4a359221659 1672 network-manager-vpnc_0.7.0-2.dsc
 0edecbb79a12018b8c6fbb72e0673fcb8d6f896c 9836 network-manager-vpnc_0.7.0-2.diff.gz
 8af9946c7411d361853355d0ff228aca6b9c0e2a 21530 network-manager-vpnc_0.7.0-2_i386.deb
 e172f681f5332a26a3c6ed25334aed43543276ff 97184 network-manager-vpnc-gnome_0.7.0-2_i386.deb
Checksums-Sha256: 
 ffb3542b89e56dbc318359c7c5f569486df1b7aac0f2652ea342a99e8fa0dab4 1672 network-manager-vpnc_0.7.0-2.dsc
 dc0f5ffbf9021bcf81a3f6fb8964cdec3cd9aa928e832f8dce7221a8f4d25882 9836 network-manager-vpnc_0.7.0-2.diff.gz
 a376b19e6c233c356c18056e803146acab85ef411a38a2b4c9583133b86e506f 21530 network-manager-vpnc_0.7.0-2_i386.deb
 05b5499d2ff9a41627680bd226a3008508bd42e65ff637162f12b792c4b6287c 97184 network-manager-vpnc-gnome_0.7.0-2_i386.deb
Files: 
 8e59ae91e1bb770756ffcf5c503a3d66 1672 net optional network-manager-vpnc_0.7.0-2.dsc
 a9d8751b118d282360dfa19d58d3346f 9836 net optional network-manager-vpnc_0.7.0-2.diff.gz
 32b15c6d8d831414ab9e6e2762ac3e37 21530 net optional network-manager-vpnc_0.7.0-2_i386.deb
 558f323f463b4f517fef1b62d2f6617b 97184 net optional network-manager-vpnc-gnome_0.7.0-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkmW2hIACgkQh7PER70FhVQINgCgp63nWkShGKeLxh/pAtJ4rrtX
iw0AnifRRkl/h/2q8xZbG1xoSJkA7APg
=mGiS
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 09 May 2009 07:30:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:12:29 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.